using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ImageBoardServerApp.Data;

public class AccountData
{
    [Required]
    [DatabaseGenerated((DatabaseGeneratedOption.Identity))]
    [Key]
    public int AccountID { get; set; }
    
    [Required]
    public string Email { get; set; }

    [Required]
    public string Password { get; set; }
    
    [Required]
    public int PermissionInteger { get; set; }
}